edu.sc.seis.sod.status.waveformArm

## Class EventStationGroupTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.waveformArm.EventStationGroupTemplate

- All Implemented Interfaces:
    EventTemplate

      public class EventStationGroupTemplate
      extends Template
      implements EventTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventStationGroupTemplate(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventStationGroupTemplate

          public EventStationGroupTemplate(org.w3c.dom.Element el)
                                    throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `Template`
      Throws:
        `ConfigurationException`

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult(edu.sc.seis.fissuresUtil.cache.CacheEvent ev)

      Specified by:
        `getResult` in interface `EventTemplate`